### Hierarchy

- unknown
  - GetMyOffersReply

## Index

### Constructors

- constructor

### Methods

- addOffers
- clearOffersList
- getOffersList
- serializeBinary
- setOffersList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetMyOffersReply(): GetMyOffersReply

- Inherited from jspb.Message.constructor

  #### Returns GetMyOffersReply

## Methods

### addOffers

- addOffers(value?: OfferInfo, index?: number): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1453

  #### Parameters

  - ##### Optional value: OfferInfo

  - ##### Optional index: number

  #### Returns OfferInfo

### clearOffersList

- clearOffersList(): GetMyOffersReply

- - Defined in src/protobuf/grpc_pb.d.ts:1452

  #### Returns GetMyOffersReply

### getOffersList

- getOffersList(): OfferInfo []

- - Defined in src/protobuf/grpc_pb.d.ts:1450

  #### Returns OfferInfo []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1455

  #### Returns Uint8Array

### setOffersList

- setOffersList(value: OfferInfo []): GetMyOffersReply

- - Defined in src/protobuf/grpc_pb.d.ts:1451

  #### Parameters

  - ##### value: OfferInfo []

  #### Returns GetMyOffersReply

### toObject

- toObject(includeInstance?: boolean): GetMyOffersReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1456

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetMyOffersReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetMyOffersReply

- - Defined in src/protobuf/grpc_pb.d.ts:1459

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetMyOffersReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetMyOffersReply, reader: BinaryReader): GetMyOffersReply

- - Defined in src/protobuf/grpc_pb.d.ts:1460

  #### Parameters

  - ##### message: GetMyOffersReply

  - ##### reader: BinaryReader

  #### Returns GetMyOffersReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetMyOffersReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1458

  #### Parameters

  - ##### message: GetMyOffersReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetMyOffersReply ): GetMyOffersReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1457

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetMyOffersReply

  #### Returns GetMyOffersReply . AsObject

Generated using TypeDoc